## org.apache.myfaces.custom.inputHtml
Class InputHtmlRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.custom.inputHtml.InputHtmlRenderer

public class InputHtmlRenderer
extends HtmlRenderer

Version:
  $Revision: 289206 $ $Date: 2005-09-15 07:31:53 -0400 (Thu, 15 Sep 2005) $
Author:
  Sylvain Vieujot (latest modification by $Author: svieujot $)

Constructor Summary
`InputHtmlRenderer()`

Method Summary
`void` `decode(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`void` `encodeEnd(javax.faces.context.FacesContext context, javax.faces.component.UIComponent uiComponent)`
`java.lang.Object` `getConvertedValue(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent, java.lang.Object submittedValue)`
`protected boolean` `isDisabled(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlRenderer
`encodeChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, encodeBegin, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InputHtmlRenderer

    public InputHtmlRenderer()

Method Detail

### isDisabled

    protected boolean isDisabled(javax.faces.context.FacesContext facesContext,
                                 javax.faces.component.UIComponent uiComponent)

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext context,
                          javax.faces.component.UIComponent uiComponent)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### decode

    public void decode(javax.faces.context.FacesContext facesContext,
                       javax.faces.component.UIComponent uiComponent)

### getConvertedValue

    public java.lang.Object getConvertedValue(javax.faces.context.FacesContext facesContext,
                                              javax.faces.component.UIComponent uiComponent,
                                              java.lang.Object submittedValue)
                                       throws javax.faces.convert.ConverterException

  Throws:
    `javax.faces.convert.ConverterException`